Subject: Re: About Timer

From: [email-masked]
Date: Tue, 22 Feb 2000 22:27:58 +0530

Hi,
if you are talking about a stateful proxy, then it must have inserted
Record-Route header. If it did,  ACK and BYE will pass through it.

Regds
Arjun
--
Arjun Roychowdhury @ Hughes Software Systems

"yinshaohua" <[email-masked]> on 02/22/2000 06:21:42 PM

Please respond to "yinshaohua" <[email-masked]>

To:   [email-masked]
cc:

Subject:  About Timer

 Hi:

     When reading RFC 2543, I have a question regarding path of ACK and
BYE.
     In section 4.2.4, there writes "If the INVITE request contained a
contact header, the callee should send a BYE request to that address rather
than the from address ".
And in section 10.5.1, there has " If the response contained a Contact
header field, the ACK may be sent to the address listed in that Contact
header field."  So I can draw a following call flow chart :

user A          Proxy          User B
   INVITE
  ----------->  INVITE
                      --------->
                             200
                      <---------
                200
   <----------
   ACK
   ----------------------------->
      The call is established
                          BYE
   <----------------------------
  In the example ,when do I release the call resource in the Proxy Server ?
  Thanks !

  Shaohua Yin